#include <bits/stdc++.h>

using namespace std;

int main()
{
    string rec;
    char c1, c2;
    int a1, a2;

    cin >> rec >> a1 >> a2;

    c1 = rec[0];
    c2 = rec[1];

    if (abs(a1 - a2) > 1)
    {

        cout << "nemoguce" << endl;
        return 0;
    }

    if(a1 > a2)
    {
        for(int i=0; i < a1 + a2; i++)
        {
            if(i % 2 == 0)
            {
                cout << c1;
            }
            else
            {
                cout << c2;
            }
        }
    }
    else
    {
        for(int i=0; i < a1 + a2; i++)
        {
            if(i % 2 == 0)
            {
                cout << c2;
            }
            else
            {
                cout << c1;
            }
        }
    }
    return 0;
}